%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name oslo.utils
%define version 3.41.0
%define unmangled_version 3.41.0
%define unmangled_version 3.41.0
%define release 1

Summary: Oslo Utility library
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}oslo.utils
Version: %{version}
Release: %{release}
Source0: oslo.utils-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/oslo.utils-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenStack <openstack-discuss@lists.openstack.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://docs.openstack.org/oslo.utils/latest/


%description
========================
Team and repository tags
========================

.. image:: https://governance.openstack.org/tc/badges/oslo.utils.svg
    :target: https://governance.openstack.org/tc/reference/tags/index.html

.. Change things from this point on

==========
oslo.utils
==========

.. image:: https://img.shields.io/pypi/v/oslo.utils.svg
    :target: https://pypi.org/project/oslo.utils/
    :alt: Latest Version

.. image:: https://img.shields.io/pypi/dm/oslo.utils.svg
    :target: https://pypi.org/project/oslo.utils/
    :alt: Downloads

The oslo.utils library provides support for common utility type functions,
such as encoding, exception handling, string manipulation, and time handling.

* Free software: Apache license
* Documentation: https://docs.openstack.org/oslo.utils/latest/
* Source: https://git.openstack.org/cgit/openstack/oslo.utils
* Bugs: https://bugs.launchpad.net/oslo.utils
* Release notes: https://docs.openstack.org/releasenotes/oslo.utils/




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n oslo.utils-%{unmangled_version} -n oslo.utils-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
